/**
 * Creating a sidebar enables you to:
 - create an ordered group of docs
 - render a sidebar for each doc of that group
 - provide next/previous navigation

 The sidebars can be generated from the filesystem, or explicitly defined here.

 Create as many sidebars as you want.
 */

// @ts-check
/*
const sidebars = {
  // By default, Docusaurus generates a sidebar from the docs folder structure
  // tutorialSidebar: [{type: 'autogenerated', dirName: '.'}],

  // But you can create a sidebar manually
  docs: {
    "介紹": [
      "about",
      "usecase"
    ],
    "Get Started": [
      "getstarted/guides",
    ],
    "API": [
      "reference/v1"
    ],
  },
};

export default sidebars;*/


module.exports = {
  docs: [
    'about',
    "usecase",
    {
      type: 'category',
      label: 'Get started',
      items: [
        "started/overview",
        "started/guides",
        "started/package",
        "started/web"
      ],
    },
    {
      type: 'category',
      label: 'Develop Guides',
      items: [
        {
          type: 'category',
          label: 'API',
          items: [
            'develop/api/intro',
          ]
        },
        {
          type: 'category',
          label: 'OSI',
          items: [
            'develop/osi/intro'
          ]
        },
        {
          type: 'category',
          label: 'Plugin',
          items: [
            'develop/plugin/intro'
          ]
        },
      ]
    },
    {
      type: 'category',
      label: 'Layers',
      items: [
        {
          type: 'category',
          label: 'Access Layer',
          items: [
            'layers/access/intro'
          ]
        },
        {
          type: 'category',
          label: 'Core Layer',
          items: [
            'layers/core/intro'
          ]
        },
        {
          type: 'category',
          label: 'OS Layer',
          items: [
            'layers/os/intro'
          ]
        }
      ]
    },
    {
      type: 'category',
      label: 'Open API',
      items: [
        'reference/v1'
      ],
    },
  ]
}
